> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Bloquear usuario

> USER bloquea USER. No se puede bloquear AGENT. Con API Key envía chatAppId y blockerExternalUserId.



## OpenAPI

````yaml /es/chat-api/api-reference/openapi-chat.json put /v1/chat/blocks/{externalUserId}
openapi: 3.0.3
info:
  title: Notifique API Chat
  description: >-
    Chat in-app: apps, usuarios, JWT, conversaciones y mensajes. Autentica con
    `Authorization: Bearer sk_live_...` (backend) o JWT del usuario. No envíes
    `x-workspace-id`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security:
  - ntfChatBearerAuth: []
  - ntfChatApiKeyHeader: []
tags:
  - name: Chat Apps
    description: CRUD de Chat Apps e rotação do signing secret
  - name: Chat Users
    description: Usuários, JWT e agentes
  - name: Chat Conversations
    description: Conversas 1:1, grupos e membros
  - name: Chat Messages
    description: Envio, listagem e exclusão
  - name: Chat Blocks
    description: Bloqueo entre usuarios de la misma Chat App
paths:
  /v1/chat/blocks/{externalUserId}:
    put:
      tags:
        - Chat Blocks
      summary: Bloquear usuario
      description: >-
        USER bloquea USER. No se puede bloquear AGENT. Con API Key envía
        chatAppId y blockerExternalUserId.
      operationId: ntfChat_putV1ChatBlocksExternalUserId
      parameters:
        - name: externalUserId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                chatAppId:
                  type: string
                blockerExternalUserId:
                  type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    $ref: '#/components/schemas/NtfChat_Block'
        '401':
          description: API Key o JWT ausente/inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfChat_ErrorResponse'
        '402':
          description: Workspace bloqueado o créditos insuficientes.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfChat_ErrorResponse'
        '403':
          description: >-
            Sin alcance, origen no permitido, CHAT_CAPABILITY_DISABLED o
            CHAT_USER_BLOCKED.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NtfChat_ErrorResponse'
components:
  schemas:
    NtfChat_Block:
      type: object
      properties:
        id:
          type: string
        chatAppId:
          type: string
        blockerChatUserId:
          type: string
        blockedChatUserId:
          type: string
        createdAt:
          type: string
          format: date-time
        blocked:
          type: object
          properties:
            id:
              type: string
            externalUserId:
              type: string
            name:
              type: string
              nullable: true
            kind:
              type: string
    NtfChat_ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ntfChatBearerAuth:
      type: http
      scheme: bearer
      description: API Key `sk_live_…` / `sk_test_…` ou JWT do usuário do chat (`eyJ…`).
    ntfChatApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````